<template>
<div class="ui">
	<transition name="fade">
		<router-view></router-view>
	</transition>
	<player-count-indicator
		v-if="showPlayerCount"
		class="player-count-indicator"
	/>
</div>
</template>

<script>
import PlayerCountIndicator from "./components/PlayerCountIndicator.vue"

export default {
	components: { PlayerCountIndicator },
	computed: {
		showPlayerCount () {
			return window.Input ? window.Input.isPlayerCountVisible() : false
		}
	},
	data () {
		return {
			list: Input.list
		}
	},
	name: "ui"
}
</script>

<style lang="less" scoped>
.player-count-indicator {
	position: absolute;
	right: 110%;
	top: 2em;
}

.fade-enter-active, .fade-leave-active {
  transition: opacity 1s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  transition: opacity 1s;
  opacity: 0;
}

.ui {
	bottom: 0;
	cursor: default;
	font-family: "Noto";
	font-size: 1vh;
	left: 0;
	position: absolute;
	right: 0;
	text-shadow: #000 1px 1px 2px;
	top: 0;
	user-select: none;
	z-index: 100000;
}
</style>